Bug 462682 - Unable to run hwclock on PPC
Unable to run hwclock on PPC
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 05:51 EDT by Mace Moneta
Modified: 2008-11-27 07:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 07:54:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2008-09-18 05:51:44 EDT
Description of problem:

During startup/shutdown, I see the message:

Cannot access the Hardware Clock via any known method.
Use the --debug option to see the details of our search for an access method.

Running manually with debug:

# hwclock --debug
hwclock from util-linux-ng 2.13.1
hwclock: Open of /dev/rtc failed, errno=2: No such file or directory.
No usable clock interface found.
Cannot access the Hardware Clock via any known method.


Version-Release number of selected component (if applicable):

kernel-2.6.26.5-22.fc8

How reproducible:

Steps to Reproduce:
1.Run hwclock
2.
3.
  
Actual results:

Cannot access the Hardware Clock via any known method.
Use the --debug option to see the details of our search for an access method.

Expected results:

Getting/Setting the date/time from the hardware clock

Additional info:

I believe this is caused by the PPC kernel not having GEN_RTC configured:

# grep -i rtc /boot/config-2.6.26.5-22.fc8
# CONFIG_GEN_RTC is not set
# CONFIG_RTC_CLASS is not set

As a result, the module cannot be loaded.
Comment 1 Mace Moneta 2008-09-23 09:30:12 EDT
Same issue in kernel-2.6.26.5-28.fc8.
Comment 2 Mace Moneta 2008-10-11 16:44:24 EDT
Same issue in kernel-2.6.26.6-39.fc8.
Comment 3 Bug Zapper 2008-11-26 06:09:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Mace Moneta 2008-11-27 07:54:08 EST
Upgraded to Fedora 10, and the problem does not occur. Closing.

Note You need to log in before you can comment on or make changes to this bug.